Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class EnergyMonitorLog

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.monitors.MonitorFactory
              avrora.monitors.EnergyMonitor
                  avrora.monitors.EnergyMonitorLog

All Implemented Interfaces:
  HelpItem

public class EnergyMonitorLog
extends EnergyMonitor

energy monitor implementation this class handles logging and recording of power consumption. Furthermore the monitor shutsdown the node, when an energy limit is exceeded.

Nested Class Summary
`class` | `EnergyMonitorLog.Monitor`

Field Summary

Fields inherited from class avrora.monitors.EnergyMonitor
`BATTERY`

Fields inherited from class avrora.monitors.MonitorFactory
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`EnergyMonitorLog()` create a new monitor

Method Summary
`Monitor` | `newMonitor(Simulator s)` create a new monitor, calls the constructor

Methods inherited from class avrora.monitors.MonitorFactory
`processOptions`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnergyMonitorLog

    public EnergyMonitorLog()

  create a new monitor

Method Detail

### newMonitor

    public Monitor newMonitor(Simulator s)

  create a new monitor, calls the constructor

  Overrides:
    `newMonitor` in class `EnergyMonitor`
  See Also:
    `MonitorFactory.newMonitor(avrora.sim.Simulator)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD